# ZX Spectrum REM statement machine code loader

Sometimes it would be useful to run machine code directly from ZX BASIC without having to load a CODE block or use lots of POKE and DATA statements. For example, you could add code for a fast loader or headerless loading block.

This Makefile will generate a ZX BASIC .tap file with a REM statement containing the machine code, and will automatically run it. Simply amend the code in `code.asm` and run `make`. The file `program.tap` will be created which can be loaded in an emulator or real Spectrum.

The included BASIC routine will CLEAR 32767 and set BORDER and PAPER to black and INK to white. Amend the `remload.asm` routine if this is not desired.

## Requirements

To use this, you need to install `make`, `pasmo`, `dd` and a C compiler.
